Bug 860211 - Should show unsupport message while threaddump scalable app
Should show unsupport message while threaddump scalable app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 05:28 EDT by Rony Gong
Modified: 2015-05-14 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: devenv_2241
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-09-25 05:28:03 EDT
Description of problem:
According to bug 835825 and bug 835820 , we do not support threaddump for scalable app well, then should we show some information to remind user that we do not support  thread dump for  scalable app while user threaddump scalable app

Version-Release number of selected component (if applicable):
devenv_2222

How reproducible:
always

Steps to Reproduce:
1.Create scalable app like (jboss, ruby)
2.Do threaddump by : rhc threaddump qsruby18
  
Actual results:
[qgong@localhost dev]$ rhc threaddump qsruby18
Password: 
RESULT:
Success
The thread dump file will be available via: rhc app tail -a qsruby18 -f qsruby18/logs/error_log-20120925-000000-EST
-o '-n 250'
Success
The thread dump file will be available via: rhc app tail -a 2da372f5de -f
2da372f5de/logs/error_log-20120925-000000-EST -o '-n 250'
but above  slave gear log can't work, like:
[qgong@localhost dev]$  rhc app tail -a 2da372f5de -f 2da372f5de/logs/error_log-20120925-000000-EST -o '-n 250
Password: 
Could not find app 'a944d1cbd7'.  Please run rhc-domain-info to get a list
of your current running applications

Expected results:

The threaddump command is not supported by scalable application now.

Additional info:
Comment 1 Rob Millner 2012-09-26 21:30:06 EDT
Pull request https://github.com/openshift/crankcase/pull/533
Comment 2 Xiaoli Tian 2012-09-27 00:46:50 EDT
(In reply to comment #1)
> Pull request https://github.com/openshift/crankcase/pull/533

Above pull request is merged in devenv_2241, move it to ON_QA
Comment 3 Rony Gong 2012-09-27 05:54:56 EDT
Verified on devenv_2242
root@openshift-ubuntu:~/opentestdir# rhc threaddump jbas1s
Password: ***
RESULT:The threaddump command is not supported on scalable applications.

Note You need to log in before you can comment on or make changes to this bug.